package com.ruoyi.benyun.service;

import com.ruoyi.benyun.entity.bo.WdCount;
import com.ruoyi.benyun.entity.WdInfo;
import com.ruoyi.benyun.entity.vo.ChannelMapAceeptVo;
import com.github.pagehelper.PageInfo;

import java.util.HashMap;

public interface ChannelMapService {
    public WdCount area(ChannelMapAceeptVo channel);
    public HashMap list(ChannelMapAceeptVo channel);

    public PageInfo<WdInfo> point(String[] channel, String searchText, String[] addrCode, int pageNum, int pageSize);

    WdInfo getWdInfo(String wdId);
}
